require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Oess_1::LibraryMode.instance.define_library( "oess_1/stdsn/prj.rb" ) {

	required_prj( Oess_1::LibraryMode.instance.ace_prj )
	required_prj( "oess_1/defs/prj.rb" )
	required_prj( "oess_1/io/prj.rb" )

	Oess_1.setup_platform( self )

	target( "oess_stdsn" + Oess_1::VERSION )

	define( "OESS_1__STDSN__PRJ" )

	cpp_source( "ent.cpp" )
	cpp_source( "serializable.cpp" )
	cpp_source( "shptr.cpp" )
	cpp_source( "ent_std.cpp" )
}
